<template>
  <nav class="level">
    <div class="level-item has-text-centered" v-for="(item, i) in items" :key="i">
      <div>
        <p class="heading">{{ item.heading }}</p>
        <p class="title">{{ item.value || '-' }}</p>
      </div>
    </div>
  </nav>
</template>

<script lang="ts">
import { defineComponent, PropType } from 'vue'

interface LevelItem {
  heading: string
  value: string | number
}

export default defineComponent({
  name: 'Level',
  props: {
    items: {
      type: Array as PropType<LevelItem[]>,
      required: true,
    },
  },
})
</script>
